Saved Search Listing

The Saved Search Listing service will return a listing of the saved searches in the Pushpay system. The ID of a saved search can be sent to the execute_search service to return the profiles of individuals that match the given search.

Service Name

search_list

Required Parameters

None

Optional Parameters

None

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=search_list"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="search_list" name="srv"/>
    </parameters>
  </request>
  <response>
    <service>search_list</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <searches count="6">
      <search id="106">
        <name>Indiv. Created in Last Month</name>
        <last_run>2010-09-04 08:14:34</last_run>
        <listed>1</listed>
        <creator id="1">Larry Cucumber</creator>
        <modifier id="1">Larry Cucumber</modifier>
        <created>2005-05-24 17:04:25</created>
        <modified>2010-09-04 08:14:34</modified>
				<search_id>106</search_id>
      </search>
      …
      <search id="117">
        <name>Larry!!!</name>
        <last_run>2012-11-21 10:56:17</last_run>
        <listed>1</listed>
        <creator id="1">Larry Cucumber</creator>
        <modifier id="1">Larry Cucumber</modifier>
        <created>2012-11-21 10:56:17</created>
        <modified>2012-11-21 10:56:17</modified>
				<search_id>117</search_id>
      </search>
    </searches>
  </response>
</ccb_api>